### Constructor

# Vips Image new_memory

#### Declaration [src]

    VipsImage*
    vips_image_new_memory (
      void
    )

#### Description [src]

`vips_image_new_memory()` creates a new `VipsImage` which, when written to, will create a memory image.

See also

`vips_image_new()`.

This constructor is not directly available to language bindings.

#### Return value

Type: `VipsImage`

The new `VipsImage`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.